man(8)

NAME
wait-for-it - script to test and wait on the availability of a TCP host and port

SYNOPSIS
wait-for-it host:port [-s] [-t timeout] [-- command args]

DESCRIPTION
wait-forit is a pure bash script that will wait on the availability of a host and TCP port. It is useful for synchronizing the spin-up of interdependent services, such as linked docker containers. Since it is a pure bash script, it does not have any external dependencies.

OPTIONS
-h HOST, --host=HOST Host or IP under test

-p PORT, --port=PORT
    TCP port under test

-s, --strict
    Only execute subcommand if the test succeeds

-q, --quiet
    Don't output any status messages

-t TIMEOUT, --timeout=TIMEOUT
    Timeout in seconds, zero for no timeout

-- COMMAND ARGS
    Execute command with args after the test finishes

AUTHOR
Giles Hall